Bug 518849 - Review Request: python-werkzeug - an advanced WSGI utility module
Review Request: python-werkzeug - an advanced WSGI utility module
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-23 11:14 EDT by Peter Halliday
Modified: 2013-10-19 10:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-30 20:03:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michel: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Halliday 2009-08-23 11:14:49 EDT
Spec URL: http://www.excelsiorsystems.net/media/files/python-werkzeug.spec
SRPM URL: http://www.excelsiorsystems.net/media/files/python-werkzeug-0.5.1-1.fc11.src.rpm
Description: This is my first package, so I need a sponsor as well.

Werkzeug started as simple collection of various utilities for WSGI
applications and has become one of the most advanced WSGI utility
modules.  It includes a powerful debugger, full featured request and
response objects, HTTP utilities to handle entity tags, cache control
headers, HTTP dates, cookie handling, file uploads, a powerful URL
routing system and a bunch of community contributed addon modules.

Werkzeug is unicode aware and doesn't enforce a specific template
engine, database adapter or anything else.  It doesn't even enforce
a specific way of handling requests and leaves all that up to the
developer. It's most useful for end user applications which should work
on as many server environments as possible (such as blogs, wikis,
bulletin boards, etc.).
Comment 1 Michel Alexandre Salim 2009-08-24 00:50:10 EDT
I can sponsor you.

Package looks good at first glance. The only thing I'd suggest for now is that, seeing as docs/ is very large (2.6 MB!), you'd definitely have to put it in a -doc subpackage:

http://fedoraproject.org/wiki/Packaging:Guidelines#Documentation

Have you created your Fedora account?
http://fedoraproject.org/wiki/PackageMaintainers/Join#Get_a_Fedora_Account

Welcome to Fedora,

-- 
Michel
Comment 2 Peter Halliday 2009-08-25 00:05:05 EDT
I have already created my Fedora account yes.  My username is hoangelos.  I have applied for the packager group, but haven't been approved yet.

I re-uploaded the spec and SRPM files to my server with the changes that you described.  I have created the docs as a subpackage.

Thanks for the welcome.  I have a few other RPMs I'm going to submit after I get this down.  I'm proud to contribute to an operating system and a distrubtion that I've enjoyed for so long.
Comment 3 Michel Alexandre Salim 2009-08-25 02:42:20 EDT
Yap; your request to join packager gets approved when your sponsor signs off on your first package (in this case, this one).

Reviewing using this Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1631426


MUST

• rpmlint:
  source: clean
  main package:    clean
  -doc subpackage: 1 warning
   You'd want to remove _build/html/.buildinfo within the %install section.

   Examples are also rather large, and non-essential to using the main package,
   so they should go into -doc as well.

   Also, since the documentation is already pre-built (so you don't need to
   BR: on python-sphinx and build it yourself), you really only want the
   content of _build/html. Thus

   %doc docs/_build/html examples

   and then you can update %description doc -- currently it's even shorter than
   the summary! You can say, for example,

   (optionally copy the first paragraph of the main package's %description here)

   This package contains documentation and examples for %{name}.


• package name: OK
• spec file name: OK
• package guideline-compliant: OK
• license complies with guidelines: OK
• license field accurate: OK
• license file not deleted: OK
• spec in US English: OK
• spec legible: OK
• source matches upstream: OK
  620955f34b8424c92674fe76d5c47679  Werkzeug-0.5.1.zip
  620955f34b8424c92674fe76d5c47679  ../SOURCES/Werkzeug-0.5.1.zip

• builds under >= 1 archs, others excluded: OK (noarch, Koji)
• build dependencies complete: OK
• own all directories: OK
• no dupes in %files: OK
• permission: OK
• %clean RPM_BUILD_ROOT: OK
• macros used consistently: OK
• Package contains code: OK
• large docs => -doc: Almost (see above)
• doc not runtime dependent: OK
• clean buildroot before install: OK
• filenames UTF-8: OK

SHOULD
• package build in mock on all architectures: OK (noarch, Koji)
• package functioned as described: not tested
• scriplets are sane: OK
• other subpackages should require versioned base: OK
• require package not files: OK

One more minor change and I'll approve this and the packager request.

Cheers,

-- 
Michel
Comment 4 Peter Halliday 2009-08-25 08:37:34 EDT
I've updated the Spec and the SRPM 1) deleting the .buildinfo file 2) only including the html portion of docs, and 3) moving examples to the -docs subpackage.

I included the rst files originally to allow users to create other forms of documentation.  However, I guess if they want it they can grab the source.
Comment 5 Michel Alexandre Salim 2009-08-25 09:03:53 EDT
F-11 test build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1632248

The changes fixed the remaining issue; package is APPROVED.

I have sponsored your application; go ahead and proceed with the remaining steps to get the package imported. Let me know at any time at salimma@fedoraproject.org if you need to clear up something.
Comment 6 Peter Halliday 2009-08-26 21:40:32 EDT
New Package CVS Request
=======================
Package Name: python-werkzeug
Short Description: The Swiss Army knife of Python web development
Owners: hoangelos
Branches: F-10 F-11 EL-4 EL-5
InitialCC: hoangelos
Comment 7 Jason Tibbitts 2009-08-28 10:28:52 EDT
CVS done.
Comment 8 Peter Halliday 2009-08-30 19:46:33 EDT
I added the files and built clean with koji, but forgot to add the bug#in the commits.
Comment 9 Michel Alexandre Salim 2009-08-30 21:53:40 EDT
When using the update system, unless your update references some bug#s, you might want to put in a description detailing what it does. Everything else looks fine!

Note You need to log in before you can comment on or make changes to this bug.